Package org.linphone.core

# Interface ProxyConfig

public interface ProxyConfig
Represents an account configuration to be used by `Core`.
In addition to the `AuthInfo` that stores the credentials, you need to
configure a `ProxyConfig` as well to be able to connect to a proxy server.
A minimal proxy config consists of an identity address
(sip:username@domain.tld) and the proxy server address, see: `setServerAddr(java.lang.String)`
.
If any, it will be stored inside the default configuration file, so it will
survive the destruction of the `Core` and be available at the next start.
The account set with `Core.setDefaultProxyConfig(org.linphone.core.ProxyConfig)` will be used as default
for outgoing calls invalid input: '&' chat messages unless specified otherwise.
deprecated: 06/04/2020 Use `Account` object instead

## Method Summary

Modifier and Type
Method
Description
`int`
`done()`
Deprecated.
`void`
`edit()`
Deprecated.
`AuthInfo`
`findAuthInfo()`
Deprecated.
`AVPFMode`
`getAvpfMode()`
Deprecated.
`int`
`getAvpfRrInterval()`
Deprecated.
`String`
`getConferenceFactoryUri()`
Deprecated.
`Address`
`getContact()`
Deprecated.
`String`
`getContactParameters()`
Deprecated.
`String`
`getContactUriParameters()`
Deprecated.
`Core`
`getCore()`
Deprecated.
`String`
`getCustomHeader(String headerName)`
Deprecated.
`ProxyConfig`
`getDependency()`
Deprecated.
`boolean`
`getDialEscapePlus()`
Deprecated.
`String`
`getDialPrefix()`
Deprecated.
`String`
`getDomain()`
Deprecated.
`Reason`
`getError()`
Deprecated.
`ErrorInfo`
`getErrorInfo()`
Deprecated.
`int`
`getExpires()`
Deprecated.
`Address`
`getIdentityAddress()`
Deprecated.
`String`
`getIdkey()`
Deprecated.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`NatPolicy`
`getNatPolicy()`
Deprecated.
`int`
`getPrivacy()`
Deprecated.
`int`
`getPublishExpires()`
Deprecated.
`PushNotificationConfig`
`getPushNotificationConfig()`
Deprecated.
`String`
`getQualityReportingCollector()`
Deprecated.
`int`
`getQualityReportingInterval()`
Deprecated.
`String`
`getRealm()`
Deprecated.
`String`
`getRefKey()`
Deprecated.
`String[]`
`getRoutes()`
Deprecated.
`String`
`getServerAddr()`
Deprecated.
`RegistrationState`
`getState()`
Deprecated.
`String`
`getTransport()`
Deprecated.
`int`
`getUnreadChatMessageCount()`
Deprecated.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`boolean`
`isAvpfEnabled()`
Deprecated.
`boolean`
`isPublishEnabled()`
Deprecated.
`boolean`
`isPushNotificationAllowed()`
Deprecated.
`boolean`
`isPushNotificationAvailable()`
Deprecated.
`boolean`
`isQualityReportingEnabled()`
Deprecated.
`boolean`
`isRegisterEnabled()`
Deprecated.
`boolean`
`isRemotePushNotificationAllowed()`
Deprecated.
`String`
`normalizePhoneNumber(String username)`
Deprecated.
`Address`
`normalizeSipUri(String username)`
Deprecated.
`void`
`pauseRegister()`
Deprecated.
`void`
`refreshRegister()`
Deprecated.
`void`
`setAvpfMode(AVPFMode mode)`
Deprecated.
`void`
`setAvpfRrInterval(int interval)`
Deprecated.
`void`
`setConferenceFactoryUri(String uri)`
Deprecated.
`void`
`setContactParameters(String contactParams)`
Deprecated.
`void`
`setContactUriParameters(String contactUriParams)`
Deprecated.
`void`
`setCustomHeader(String headerName, String headerValue)`
Deprecated.
`void`
`setDependency(ProxyConfig dependsOn)`
Deprecated.
`void`
`setDialEscapePlus(boolean enable)`
Deprecated.
`void`
`setDialPrefix(String prefix)`
Deprecated.
`void`
`setExpires(int expires)`
Deprecated.
`int`
`setIdentityAddress(Address identity)`
Deprecated.
`void`
`setIdkey(String idkey)`
Deprecated.
`void`
`setNatPolicy(NatPolicy policy)`
Deprecated.
`void`
`setPrivacy(int privacy)`
Deprecated.
`void`
`setPublishEnabled(boolean enable)`
Deprecated.
`void`
`setPublishExpires(int expires)`
Deprecated.
`void`
`setPushNotificationAllowed(boolean allow)`
Deprecated.
`void`
`setPushNotificationConfig(PushNotificationConfig pushCfg)`
Deprecated.
`void`
`setQualityReportingCollector(String collector)`
Deprecated.
`void`
`setQualityReportingEnabled(boolean enable)`
Deprecated.
`void`
`setQualityReportingInterval(int interval)`
Deprecated.
`void`
`setRealm(String realm)`
Deprecated.
`void`
`setRefKey(String refkey)`
Deprecated.
`void`
`setRegisterEnabled(boolean enable)`
Deprecated.
`void`
`setRemotePushNotificationAllowed(boolean allow)`
Deprecated.
`int`
`setRoute(String route)`
Deprecated.
`int`
`setRoutes(String[] routes)`
Deprecated.
`int`
`setServerAddr(String serverAddress)`
Deprecated.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### isAvpfEnabled

@Deprecated boolean isAvpfEnabled()
Deprecated.
Indicates whether AVPF/SAVPF is being used for calls using this proxy config.

Returns:
  True if AVPF/SAVPF is enabled, false otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### getAvpfMode

@Deprecated AVPFMode getAvpfMode()
Deprecated.
Get enablement status of RTCP feedback (also known as AVPF profile).

Returns:
  the enablement mode, which can be `AVPFMode.Default` (use
  LinphoneCore's mode), `AVPFMode.Enabled` (avpf is enabled), or `AVPFMode.Disabled`
  (disabled).
  deprecated: 06/04/2020 Use `Account` object instead

### setAvpfMode

@Deprecated void setAvpfMode(AVPFMode mode)
Deprecated.
Enable the use of RTCP feedback (also known as AVPF profile).

Parameters:
  `mode` - the enablement mode, which can be `AVPFMode.Default` (use
  LinphoneCore's mode), `AVPFMode.Enabled` (avpf is enabled), or `AVPFMode.Disabled`
  (disabled).
  deprecated: 06/04/2020 Use `Account` object instead

### getAvpfRrInterval

@Deprecated int getAvpfRrInterval()
Deprecated.
Get the interval between regular RTCP reports when using AVPF/SAVPF.

Returns:
  The interval in seconds.
  deprecated: 06/04/2020 Use `Account` object instead

### setAvpfRrInterval

@Deprecated void setAvpfRrInterval(int interval)
Deprecated.
Set the interval between regular RTCP reports when using AVPF/SAVPF.

Parameters:
  `interval` - The interval in seconds (between 0 and 5 seconds).
  deprecated: 06/04/2020 Use `Account` object instead

### getConferenceFactoryUri

@Deprecated String getConferenceFactoryUri()
Deprecated.
Get the conference factory uri.

Returns:
  The uri of the conference factory.
  deprecated: 06/04/2020 Use `Account` object instead

### setConferenceFactoryUri

@Deprecated void setConferenceFactoryUri(String uri)
Deprecated.
Set the conference factory uri.

Parameters:
  `uri` - The uri of the conference factory.
  deprecated: 06/04/2020 Use `Account` object instead

### getContact

@Deprecated Address getContact()
Deprecated.
Return the contact address of the proxy config.

Returns:
  a `Address` correspong to the contact address of the proxy
  config.
  deprecated: 06/04/2020 Use `Account` object instead

### getContactParameters

@Deprecated String getContactParameters()
Deprecated.
Returns the contact parameters.

Returns:
  previously set contact parameters.
  deprecated: 06/04/2020 Use `Account` object instead

### setContactParameters

@Deprecated void setContactParameters(String contactParams)
Deprecated.
Set optional contact parameters that will be added to the contact information
sent in the registration.

Parameters:
  `contactParams` - a string contaning the additional parameters in text form,
  like "myparam=something;myparam2=something_else"
  The main use case for this function is provide the proxy additional information
  regarding the user agent, like for example unique identifier or apple push id.
  As an example, the contact address in the SIP register sent will look like
  invalid input: '<'sip:joe@15.128.128.93:50421>;apple-push-id=43143-DFE23F-2323-FA2232.
  deprecated: 06/04/2020 Use `Account` object instead
  The main use case for this function is provide the proxy additional information
  regarding the user agent, like for example unique identifier or apple push id.
  As an example, the contact address in the SIP register sent will look like
  invalid input: '<'sip:joe@15.128.128.93:50421>;apple-push-id=43143-DFE23F-2323-FA2232.
  deprecated: 06/04/2020 Use `Account` object instead

### getContactUriParameters

@Deprecated String getContactUriParameters()
Deprecated.
Returns the contact URI parameters.

Returns:
  previously set contact URI parameters.
  deprecated: 06/04/2020 Use `Account` object instead

### setContactUriParameters

@Deprecated void setContactUriParameters(String contactUriParams)
Deprecated.
Set optional contact parameters that will be added to the contact information
sent in the registration, inside the URI.

Parameters:
  `contactUriParams` - a string containing the additional parameters in text
  form, like "myparam=something;myparam2=something_else"
  The main use case for this function is provide the proxy additional information
  regarding the user agent, like for example unique identifier or apple push id.
  As an example, the contact address in the SIP register sent will look like
  invalid input: '<'sip:joe@15.128.128.93:50421;apple-push-id=43143-DFE23F-2323-FA2232>.
  deprecated: 06/04/2020 Use `Account` object instead
  The main use case for this function is provide the proxy additional information
  regarding the user agent, like for example unique identifier or apple push id.
  As an example, the contact address in the SIP register sent will look like
  invalid input: '<'sip:joe@15.128.128.93:50421;apple-push-id=43143-DFE23F-2323-FA2232>.
  deprecated: 06/04/2020 Use `Account` object instead

### getCore

@Deprecated Core getCore()
Deprecated.
Get the `Core` object to which is associated the `ProxyConfig`.

Returns:
  The `Core` object to which is associated the `ProxyConfig`.
  deprecated: 06/04/2020 Use `Account` object instead

### getDependency

@Deprecated ProxyConfig getDependency()
Deprecated.
Get the dependency of a `ProxyConfig`.

Returns:
  The proxy config this one is dependent upon, or null if not marked
  dependent.
  deprecated: 06/04/2020 Use `Account` object instead

### setDependency

@Deprecated void setDependency(ProxyConfig dependsOn)
Deprecated.
Mark this proxy configuration as being dependent on the given one.
The dependency must refer to a proxy config previously added to the core and
which idkey property is defined.
see: `setIdkey(java.lang.String)`
The proxy configuration marked as dependent will wait for successful
registration on its dependency before triggering its own.
Once registered, both proxy configurations will share the same contact address
(the 'dependency' one).
This mecanism must be enabled before the proxy configuration is added to the
core

Parameters:
  `dependsOn` - The `ProxyConfig` this one shall be depend on.
  deprecated: 06/04/2020 Use `Account` object instead

### getDialEscapePlus

@Deprecated boolean getDialEscapePlus()
Deprecated.
Returns whether or not the + should be replaced by 00.

Returns:
  whether liblinphone should replace "+" by "00" in dialed numbers
  (passed to `Core.invite(java.lang.String)`).
  deprecated: 06/04/2020 Use `Account` object instead

### setDialEscapePlus

@Deprecated void setDialEscapePlus(boolean enable)
Deprecated.
Sets whether liblinphone should replace "+" by international calling prefix in
dialed numbers (passed to `Core.invite(java.lang.String)` ).

Parameters:
  `enable` - true to replace + by the international prefix, false otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### getDialPrefix

@Deprecated String getDialPrefix()
Deprecated.
Gets the prefix set for this proxy config.

Returns:
  dialing prefix.
  deprecated: 06/04/2020 Use `Account` object instead

### setDialPrefix

@Deprecated void setDialPrefix(String prefix)
Deprecated.
Sets a dialing prefix to be automatically prepended when inviting a number with
`Core.invite(java.lang.String)`; This dialing prefix shall usually be the country code of
the country where the user is living, without "+".

Parameters:
  `prefix` - the prefix to set (withouth the +)
  deprecated: 06/04/2020 Use `Account` object instead

### getDomain

@Deprecated String getDomain()
Deprecated.
Get the domain name of the given proxy config.

Returns:
  The domain name of the proxy config.
  deprecated: 06/04/2020 Use `Account` object instead

### getError

@Deprecated Reason getError()
Deprecated.
Get the reason why registration failed when the proxy config state is
LinphoneRegistrationFailed.

Returns:
  The `Reason` why registration failed for this proxy config.
  deprecated: 06/04/2020 Use `Account` object instead

### getErrorInfo

@Deprecated ErrorInfo getErrorInfo()
Deprecated.
Get detailed information why registration failed when the proxy config state is
LinphoneRegistrationFailed.

Returns:
  The `ErrorInfo` explaining why registration failed for this proxy
  config.
  deprecated: 06/04/2020 Use `Account` object instead

### getExpires

@Deprecated int getExpires()
Deprecated.
Gets the proxy config expires.

Returns:
  the duration of registration.
  deprecated: 06/04/2020 Use `Account` object instead

### setExpires

@Deprecated void setExpires(int expires)
Deprecated.
Sets the registration expiration time in seconds.

Parameters:
  `expires` - the expiration time to set
  deprecated: 06/04/2020 Use `Account` object instead

### getIdentityAddress

@Deprecated Address getIdentityAddress()
Deprecated.
Gets the identity addres of the proxy config.

Returns:
  the SIP identity that belongs to this proxy configuration.
  deprecated: 06/04/2020 Use `Account` object instead

### setIdentityAddress

@Deprecated int setIdentityAddress(Address identity)
Deprecated.
Sets the user identity as a SIP address.
This identity is normally formed with display name, username and domain, such
as: Alice invalid input: '<'sip:alice@example.net> The REGISTER messages will have from and to
set to this identity.
This identity is normally formed with display name, username and domain, such
as: Alice invalid input: '<'sip:alice@example.net> The REGISTER messages will have from and to
set to this identity.

Parameters:
  `identity` - the `Address` of the identity to set
  deprecated: 06/04/2020 Use `Account` object instead

### getIdkey

@Deprecated String getIdkey()
Deprecated.
Get the idkey property of a `ProxyConfig`.

Returns:
  The idkey string, or null.
  deprecated: 06/04/2020 Use `Account` object instead

### setIdkey

@Deprecated void setIdkey(String idkey)
Deprecated.
Set the idkey property on the given proxy configuration.
This property can the be referenced by another proxy config 'depends_on' to
create a dependency relation between them. see:
linphone_proxy_config_set_depends_on()

Parameters:
  `idkey` - The idkey string to associate to the given `ProxyConfig`.
  deprecated: 06/04/2020 Use `Account` object instead

### isPushNotificationAllowed

@Deprecated boolean isPushNotificationAllowed()
Deprecated.
Indicates whether to add to the contact parameters the push notification
information.
For IOS, it indicates to VOIP push notification.

Returns:
  true if push notification informations should be added, false
  otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### isPushNotificationAvailable

@Deprecated boolean isPushNotificationAvailable()
Deprecated.
Gets whether push notifications are available or not (Android invalid input: '&' iOS only).

Returns:
  true if push notifications are available, false otherwise
  deprecated: 06/04/2020 Use `Account` object instead

### isRemotePushNotificationAllowed

@Deprecated boolean isRemotePushNotificationAllowed()
Deprecated.
Indicates whether to add to the contact parameters the remote push notification
information (IOS only).
Default value is false.

Returns:
  true if remote push notification informations should be added, false
  otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### getNatPolicy

@Deprecated NatPolicy getNatPolicy()
Deprecated.
Get The policy that is used to pass through NATs/firewalls when using this
proxy config.
If it is set to null, the default NAT policy from the core will be used
instead.

Returns:
  `NatPolicy` object in use.
  see: `Core.getNatPolicy()`
  deprecated: 06/04/2020 Use `Account` object instead

### setNatPolicy

@Deprecated void setNatPolicy(NatPolicy policy)
Deprecated.
Set the policy to use to pass through NATs/firewalls when using this proxy
config.
If it is set to null, the default NAT policy from the core will be used
instead.

Parameters:
  `policy` - `NatPolicy` object.
  see: `Core.setNatPolicy(org.linphone.core.NatPolicy)`
  deprecated: 06/04/2020 Use `Account` object instead

### getPrivacy

@Deprecated int getPrivacy()
Deprecated.
Get default privacy policy for all calls routed through this proxy.

Returns:
  Privacy mode as LinphonePrivacyMask
  deprecated: 06/04/2020 Use `Account` object instead

### setPrivacy

@Deprecated void setPrivacy(int privacy)
Deprecated.
Set default privacy policy for all calls routed through this proxy.

Parameters:
  `privacy` - `Privacy` to configure privacy
  deprecated: 06/04/2020 Use `Account` object instead

### isPublishEnabled

@Deprecated boolean isPublishEnabled()
Deprecated.
Gets if the PUBLISH is enabled.

Returns:
  true if PUBLISH request is enabled for this proxy.
  deprecated: 06/04/2020 Use `Account` object instead

### setPublishEnabled

@Deprecated void setPublishEnabled(boolean enable)
Deprecated.
Indicates either or not, PUBLISH must be issued for this `ProxyConfig`.
In case this `ProxyConfig` has been added to `Core`, follows the
`edit()` rule.

Parameters:
  `enable` - if true, publish will be engaged
  deprecated: 06/04/2020 Use `Account` object instead

### getPublishExpires

@Deprecated int getPublishExpires()
Deprecated.
get the publish expiration time in second.
Default value is the registration expiration value.

Returns:
  expires in second
  deprecated: 06/04/2020 Use `Account` object instead

### setPublishExpires

@Deprecated void setPublishExpires(int expires)
Deprecated.
Set the publish expiration time in second.

Parameters:
  `expires` - in second
  deprecated: 06/04/2020 Use `Account` object instead

### setPushNotificationAllowed

@Deprecated void setPushNotificationAllowed(boolean allow)
Deprecated.
Indicates whether to add to the contact parameters the push notification
information.
For IOS, it indicates to VOIP push notification.

Parameters:
  `allow` - true to allow push notification information, false otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### getPushNotificationConfig

@Deprecated PushNotificationConfig getPushNotificationConfig()
Deprecated.
Retrieves the push notification configuration.

Returns:
  The `PushNotificationConfig`.
  deprecated: 06/04/2020 Use `Account` object instead

### setPushNotificationConfig

@Deprecated void setPushNotificationConfig(PushNotificationConfig pushCfg)
Deprecated.
Sets the push notification configuration.

Parameters:
  `pushCfg` - `PushNotificationConfig` to set.
  deprecated: 06/04/2020 Use `Account` object instead

### getQualityReportingCollector

@Deprecated String getQualityReportingCollector()
Deprecated.
Get the route of the collector end-point when using quality reporting.
This SIP address should be used on server-side to process packets directly
before discarding packets. Collector address should be a non existing account
and will not receive any messages. If null, reports will be send to the proxy
domain.

Returns:
  The SIP address of the collector end-point.
  deprecated: 06/04/2020 Use `Account` object instead

### setQualityReportingCollector

@Deprecated void setQualityReportingCollector(String collector)
Deprecated.
Set the route of the collector end-point when using quality reporting.
This SIP address should be used on server-side to process packets directly
before discarding packets. Collector address should be a non existing account
and will not receive any messages. If null, reports will be send to the proxy
domain.

Parameters:
  `collector` - route of the collector end-point, if null PUBLISH will be sent
  to the proxy domain.
  deprecated: 06/04/2020 Use `Account` object instead

### isQualityReportingEnabled

@Deprecated boolean isQualityReportingEnabled()
Deprecated.
Indicates whether quality statistics during call should be stored and sent to a
collector according to RFC 6035.

Returns:
  True if quality repotring is enabled, false otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### setQualityReportingEnabled

@Deprecated void setQualityReportingEnabled(boolean enable)
Deprecated.
Indicates whether quality statistics during call should be stored and sent to a
collector according to RFC 6035.

Parameters:
  `enable` - True to store quality statistics and send them to the collector,
  false to disable it.
  deprecated: 06/04/2020 Use `Account` object instead

### getQualityReportingInterval

@Deprecated int getQualityReportingInterval()
Deprecated.
Get the interval between interval reports when using quality reporting.

Returns:
  The interval in seconds, 0 means interval reports are disabled.
  deprecated: 06/04/2020 Use `Account` object instead

### setQualityReportingInterval

@Deprecated void setQualityReportingInterval(int interval)
Deprecated.
Set the interval between 2 interval reports sending when using quality
reporting.
If call exceed interval size, an interval report will be sent to the collector.
On call termination, a session report will be sent for the remaining period.
Value must be 0 (disabled) or positive.

Parameters:
  `interval` - The interval in seconds, 0 means interval reports are disabled.
  deprecated: 06/04/2020 Use `Account` object instead

### getRealm

@Deprecated String getRealm()
Deprecated.
Get the realm of the given proxy config.

Returns:
  The realm of the proxy config.
  deprecated: 06/04/2020 Use `Account` object instead

### setRealm

@Deprecated void setRealm(String realm)
Deprecated.
Set the realm of the given proxy config.

Parameters:
  `realm` - New realm value.
  deprecated: 06/04/2020 Use `Account` object instead

### getRefKey

@Deprecated String getRefKey()
Deprecated.
Get the persistent reference key associated to the proxy config.
The reference key can be for example an id to an external database. It is
stored in the config file, thus can survive to process exits/restarts.

Returns:
  The reference key string that has been associated to the proxy config,
  or null if none has been associated.
  deprecated: 06/04/2020 Use `Account` object instead

### setRefKey

@Deprecated void setRefKey(String refkey)
Deprecated.
Associate a persistent reference key to the proxy config.
The reference key can be for example an id to an external database. It is
stored in the config file, thus can survive to process exits/restarts.

Parameters:
  `refkey` - The reference key string to associate to the proxy config.
  deprecated: 06/04/2020 Use `Account` object instead

### isRegisterEnabled

@Deprecated boolean isRegisterEnabled()
Deprecated.
Returns whether the proxy config is enabled or not.

Returns:
  true if registration to the proxy is enabled.
  deprecated: 06/04/2020 Use `Account` object instead

### setRegisterEnabled

@Deprecated void setRegisterEnabled(boolean enable)
Deprecated.
Indicates either or not, REGISTRATION must be issued for this `ProxyConfig`
.
In case this `ProxyConfig` has been added to `Core`, follows the
`edit()` rule.

Parameters:
  `enable` - if true, registration will be engaged
  deprecated: 06/04/2020 Use `Account` object instead

### setRemotePushNotificationAllowed

@Deprecated void setRemotePushNotificationAllowed(boolean allow)
Deprecated.
Indicates whether to add to the contact parameters the remote push notification
information (IOS only).

Parameters:
  `allow` - true to allow remote push notification information, false
  otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### setRoute

@Deprecated int setRoute(String route)
Deprecated.
Sets a SIP route.
When a route is set, all outgoing calls will go to the route's destination if
this proxy is the default one (see `Core.setDefaultProxyConfig(org.linphone.core.ProxyConfig)` ).

Parameters:
  `route` - the SIP route to set
Returns:
  -1 if route is invalid, 0 otherwise.
  deprecated: 08/07/2020 use `setRoutes(java.lang.String[])` instead

### getRoutes

@Deprecated String[] getRoutes()
Deprecated.
Gets the list of the routes set for this proxy config.

Returns:
  The list of routes as string. A list of const char * objects.
  deprecated: 06/04/2020 Use `Account` object instead

### setRoutes

@Deprecated int setRoutes(String[] routes)
Deprecated.
Sets a list of SIP route.
When a route is set, all outgoing calls will go to the route's destination if
this proxy is the default one (see `Core.setDefaultProxyConfig(org.linphone.core.ProxyConfig)` ).

Parameters:
  `routes` - A A list of const char * objects. of routes
Returns:
  -1 if routes are invalid, 0 otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### getServerAddr

@Deprecated String getServerAddr()
Deprecated.
Gets the proxy config proxy address.

Returns:
  the proxy's SIP address.
  deprecated: 06/04/2020 Use `Account` object instead

### setServerAddr

@Deprecated int setServerAddr(String serverAddress)
Deprecated.
Sets the proxy address.
Examples of valid sip proxy address are:
-IP address: sip:87.98.157.38
-IP address with port: sip:87.98.157.38:5062
-hostnames : sip:sip.example.net

Parameters:
  `serverAddress` - the proxy address to set.
  deprecated: 06/04/2020 Use `Account` object instead

### getState

@Deprecated RegistrationState getState()
Deprecated.
Get the registration state of the given proxy config.

Returns:
  The `RegistrationState` of the proxy config.
  deprecated: 06/04/2020 Use `Account` object instead

### getTransport

@Deprecated String getTransport()
Deprecated.
Get the transport from either service route, route or addr.

Returns:
  The transport as a string (I.E udp, tcp, tls, dtls)
  deprecated: 06/04/2020 Use `Account` object instead

### getUnreadChatMessageCount

@Deprecated int getUnreadChatMessageCount()
Deprecated.
Return the unread chat message count for a given proxy config.

Returns:
  The unread chat message count.
  deprecated: 06/04/2020 Use `Account` object instead

### done

@Deprecated int done()
Deprecated.
Commits modification made to the proxy configuration.

Returns:
  0 if successful, -1 otherwise
  deprecated: 06/04/2020 Use `Account` object instead

### edit

@Deprecated void edit()
Deprecated.
Starts editing a proxy configuration.
Because proxy configuration must be consistent, applications MUST call `edit()`
before doing any attempts to modify proxy configuration (such as identity,
proxy address and so on). Once the modifications are done, then the application
must call `done()` to commit the changes.
deprecated: 06/04/2020 Use `Account` object instead

### findAuthInfo

@Deprecated AuthInfo findAuthInfo()
Deprecated.
Find authentication info matching proxy config, if any, similarly to
linphone_core_find_auth_info.

Returns:
  a `AuthInfo` matching proxy config criteria if possible, null if
  nothing can be found.
  deprecated: 06/04/2020 Use `Account` object instead

### getCustomHeader

@Deprecated String getCustomHeader(String headerName)
Deprecated.
Obtain the value of a header sent by the server in last answer to REGISTER.

Parameters:
  `headerName` - the header name for which to fetch corresponding value
Returns:
  the value of the queried header.
  deprecated: 06/04/2020 Use `Account` object instead

### normalizePhoneNumber

@Deprecated String normalizePhoneNumber(String username)
Deprecated.
Normalize a human readable phone number into a basic string.
888-444-222 becomes 888444222 or +33888444222 depending on the `ProxyConfig`
object. This function will always generate a normalized username if input is a
phone number.

Parameters:
  `username` - the string to parse
Returns:
  null if input is an invalid phone number, normalized phone number from
  username input otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### normalizeSipUri

@Deprecated Address normalizeSipUri(String username)
Deprecated.
Normalize a human readable sip uri into a fully qualified LinphoneAddress.
A sip address should look like DisplayName invalid input: '<'sip:username@domain:port> .
Basically this function performs the following tasks
-if a phone number is entered, prepend country prefix and eventually escape the
'+' by 00 of the proxy config.
-if no domain part is supplied, append the domain name of the proxy config.
Returns null if no proxy is provided at this point.
-if no sip: is present, prepend it.
The result is a syntactically correct SIP address.

Parameters:
  `username` - the string to parse
Returns:
  null if invalid input, normalized sip address otherwise.
  deprecated: 06/04/2020 Use `Account` object instead

### pauseRegister

@Deprecated void pauseRegister()
Deprecated.
Prevent a proxy config from refreshing its registration.
This is useful to let registrations to expire naturally (or) when the
application wants to keep control on when refreshes are sent. However,
linphone_core_set_network_reachable(lc,true) will always request the proxy
configs to refresh their registrations. The refreshing operations can be
resumed with `refreshRegister()`.
deprecated: 06/04/2020 Use `Account` object instead

### refreshRegister

@Deprecated void refreshRegister()
Deprecated.
Refresh a proxy registration.
This is useful if for example you resuming from suspend, thus IP address may
have changed.
deprecated: 06/04/2020 Use `Account` object instead

### setCustomHeader

@Deprecated void setCustomHeader(String headerName, String headerValue)
Deprecated.
Set the value of a custom header sent to the server in REGISTERs request.

Parameters:
  `headerName` - the header name
  `headerValue` - the header's value
  deprecated: 06/04/2020 Use `Account` object instead

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`